Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003758 [JEDI VCL] 00 JVCL Components minor always 2006-06-09 08:04 2006-06-19 07:46
Reporter Rhaddamant View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0003758: JvBase.dcu not found
Description after instalation of JCL & JVCL 3.20 on a system with Delphi 7 & 2006 installed when attempting to use some components i got compilation error 'Cannot find JvBase.dcu'. i didn't manage to find JvBase.pas.

what would you advise me?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0009556)
obones (administrator)
2006-06-09 08:41

Which file requires this?
Which component?
And have you looked around for old versions of the JVCL and/or other components?
(0009560)
Rhaddamant (reporter)
2006-06-09 11:42

for example dropping a TJvTrayIcon component on a form leads to this message. i have to say that the error is about JclBase.dcu, not for JvBase.dcu. i found JclBase.pas in JCL source folder but i cannot compile it alone.

no, i didn't try with old version of JCL or JVCL.
(0009562)
obones (administrator)
2006-06-10 04:27

Did you run the installer for the JCL before the one for the JVCL?
If yes, what happens if you run it again?
You should have the JclBase.dcu along with many other dcu files in the jcl\lib\dX folder and that path added to your IDE search path.
If you unchecked the "Make library units" option in the JCL installer, then you have to add jcl\source\ jcl\source\common jcl\source\windows and jcl\source\vcl into the above mentionned search path.
(0009582)
Rhaddamant (reporter)
2006-06-13 05:40

i run JCL installer first.
actually, i repeated installation a few times and uninstalled each time before new attempt. i took a look in folders you mentioned but no jclbase.dcu there, also i added source paths to ide and... nothing.
furthermore, when i install JVCL 3.20 for D 2006 i got message incompatible JCL version?!
(0009594)
obones (administrator)
2006-06-16 10:56

Please try with the daily versions:

http://jvcl.sf.net/daily/ [^]

And also, please be sure you do not have an old JCL/JVCL version somewhere on your harddrive.
(0009602)
Rhaddamant (reporter)
2006-06-19 06:07

thank you, i solved the problem as i installed JCL & JVCL in defalut folders nevertheless i don't consider it's fine, both should be in Borland directory not in My Documents but however it's not so meaningful problem...

just to ask - is it normal D2006 command line compiler to show me warnings "Depreciate Symbol xxx"? for some reason installers used D2006 comand line compiler for D7 too.
(0009604)
obones (administrator)
2006-06-19 07:46

Yes, the "deprecated" messages are expected.
As to using the latest available compiler, this is only true for compiling the installers. The appropriate one is used when compiling the actual library.

- Issue History
Date Modified Username Field Change
2006-06-09 08:04 Rhaddamant New Issue
2006-06-09 08:41 obones Note Added: 0009556
2006-06-09 08:41 obones Status new => feedback
2006-06-09 11:42 Rhaddamant Note Added: 0009560
2006-06-10 04:27 obones Note Added: 0009562
2006-06-13 05:40 Rhaddamant Note Added: 0009582
2006-06-16 10:56 obones Note Added: 0009594
2006-06-19 06:07 Rhaddamant Note Added: 0009602
2006-06-19 07:46 obones Status feedback => resolved
2006-06-19 07:46 obones Resolution open => fixed
2006-06-19 07:46 obones Assigned To => obones
2006-06-19 07:46 obones Note Added: 0009604


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker